<template>
  <div>
    <div class="layout">
      <header class="header">
        <b-navbar toggleable="lg" type="light" align="end">

          <b-navbar-brand href="/">
            <g-image src="~/assets/img/yumi.png" class="brand-image" alt="Yumi, the UBports mascot" /> Ubuntu Touch<nobr class="optional-400"> devices</nobr>
          </b-navbar-brand>
          <b-navbar-toggle target="nav-item-collapse" style="background: white;" />

          <b-collapse id="nav-item-collapse" is-nav>
            <b-navbar-nav>
              <b-nav-item class="nav__link" target="_blank" rel="noreferrer noopener" href="https://open-store.io/">OpenStore</b-nav-item>
              <b-nav-item class="nav__link" target="_blank" rel="noreferrer noopener" href="https://ubuntu-touch.io/">About Ubuntu Touch</b-nav-item>
              <b-nav-item class="nav__link" target="_blank" rel="noreferrer noopener" href="https://ubports.com/">UBports Foundation</b-nav-item>
              <b-nav-item class="nav__link" target="_blank" rel="noreferrer noopener" href="https://ubports.com/donate">Donate</b-nav-item>
            </b-navbar-nav>
          </b-collapse>
        </b-navbar>
      </header>

      <slot/>

    </div>

    <div class="footer">
      <div class="layout row">
        <div class="col-md-3 text-center">
          <h6>UBports Foundation</h6>
          <a href="https://ubports.com">
            <g-image src="~/assets/img/ubports.png" style="width: 100%; max-width: 15em; padding: .5em;" alt="UBports Foundation logo" />
          </a>
        </div>
        <div class="col-md-3 text-center">
          <a href="https://ubports.com/donate"><h6>Donate</h6></a>
          <a @click="bank">SEPA bank-wire</a><br>
          <a href="https://liberapay.com/ubports" target="_blank" rel="noreferrer noopener">Donate with Liberapay</a><br>
          <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=C86LHWK8M2XCC&source=url" target="_blank" rel="noreferrer noopener">Donate with PayPal</a><br>
          <a href="https://patreon.com/ubports" target="_blank" rel="noreferrer noopener">Become a Patreon</a><br>
          <a @click="bitcoin">Donate with Bitcoin</a>
        </div>
        <div class="col-md-3 text-center">
          <h6>Keep up-to-date</h6>
          <a href="https://ubports.com/blog">Blog</a><br>
          <a href="https://framapiaf.org/@ubports" target="_blank" rel="me noreferrer noopener">Mastodon</a><br>
          <a href="https://twitter.com/ubports" target="_blank" rel="noreferrer noopener">Twitter</a><br>
          <a href="https://youtube.com/ubports" target="_blank" rel="noreferrer noopener">YouTube</a><br>
          <a href="https://facebook.com/ubports" target="_blank" rel="noreferrer noopener">Facebook</a>
        </div>
        <div class="col-md-3 text-center">
          <h6>Contact</h6>
          <a href="https://forums.ubports.com">Forum</a><br>
          <a href="https://ubports.com/contact-us">Contact</a><br>
          <a href="https://t.me/ubports" target="_blank" rel="noreferrer noopener">Telegram</a><br>
          <a href="https://ubports.com/get-involved">Get involved</a><br>
          <a href="https://ubports.com/blog/ubports-blog-1/feed">RSS-feed</a>
        </div>
      </div>
      <p class="text-center" style="margin-bottom: 0">
        (c) 2015-2020 <a href="https://ubports.com">UBports Foundation</a> | Licensed <a href="https://gitlab.com/ubports/infrastructure/devices.ubuntu-touch.io/-/blob/master/LICENSE" target="_blank">AGPL 3.0 or later</a> | <a href="https://gitlab.com/ubports/infrastructure/devices.ubuntu-touch.io" target="_blank">Edit this page</a> or <a href="https://gitlab.com/ubports/infrastructure/devices.ubuntu-touch.io/-/issues/new?issue%5Bassignee_id%5D=&issue%5Bmilestone_id%5D=" target="_blank">report a bug</a> | <a href="https://ubports.com/privacy">privacy policy</a>
      </p>
    </div>

    <modal name="bitcoin" height="auto" :scrollable="true" :adaptive="true">
      <div class="card">
        <div class="card-header">
          <h2>Bitcoin</h2>
        </div>
        <div class="card-body">
          <pre class="text-center">1DpvghKwhrwZyyCyWMQ2tnLaV3yEznFndB</pre>
          <div class="center">
            <a href="bitcoin:1DpvghKwhrwZyyCyWMQ2tnLaV3yEznFndB" target="_blank">
              <button>
                <font-awesome :icon="['fab', 'bitcoin']" style="width: 1em; height: 1em;" />
                Bitcoin-URL
              </button>
            </a>
          </div>
        </div>
      </div>
    </modal>

    <modal name="bank" height="auto" :scrollable="true" :adaptive="true">
      <div class="card">
        <div class="card-header">
          <h2>SEPA bank-wire transactions</h2>
        </div>
        <div class="card-body">
          <p>
            Account Holder: UBports Foundation<br>
            IBAN: DE27 7015 0000 1005 8360 42<br>
            BIC: SSKMDEMMXXX<br>
            Bank: Stadtsparkasse München
         </p>
         <p>See the <a href="https://ubports.com/donate" target="_blank" rel="noreferrer noopener">donations page for information on tax-exemption</a>.</p>
        </div>
      </div>
    </modal>

  </div>
</template>

<static-query>
query {
  metadata {
    siteName
  }
}
</static-query>

<script>
export default {
  metaInfo: {
    meta: [
      {
        name: "twitter:card",
        content: "summary_large_image"
      },
      {
        name: "twitter:creator",
        content: "@ubports"
      }
    ]
  },
  methods: {
    openDevice(items) {
      window.location.href = items[0].path;
    },
    bitcoin() {
      this.$modal.show("bitcoin");
    },
    bank() {
      this.$modal.show("bank");
    }
  }
};
</script>